/*
	Transforms a rigid mesh into world space with no lighting calculations
*/

precision highp float;

uniform mat4 WorldToView;
uniform mat4 ObjToWorld;

uniform lowp vec4 LightColor;
uniform lowp vec4 AmbientColor;
 
attribute vec3 Position;
attribute vec3 Normal;
attribute vec2 Tex0;

varying mediump vec2 Out_Tex0;
varying mediump vec3 Out_Normal;
varying mediump vec3 Out_DirEye;
varying lowp vec4 Out_Lighting;

uniform vec4 RimParam;
uniform vec4 SpecParam;

void main() {
	vec4 ViewPos = vec4(Position,1) * ObjToWorld * WorldToView;
	
	gl_Position = ViewPos;
	Out_Normal = (vec4(Normal, 1) * ObjToWorld).xyz;
	Out_Tex0 = Tex0;
	Out_DirEye = vec3(0.0,0.0,0.0);
	
	Out_Lighting = LightColor + AmbientColor;
}