/*
	Transforms a rigid mesh into world space with no lighting calculations
*/

precision highp float;

uniform mat4 WorldToView;
uniform mat4 ObjToWorld;
 
attribute vec3 Position;
attribute vec2 Tex0;

varying mediump vec2 Out_Tex0;

void main() {
	vec4 ViewPos = vec4(Position,1) * ObjToWorld * WorldToView;
	
	gl_Position = ViewPos;
	
	Out_Tex0 = Tex0;
}